Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	library to use arbitrary fonts in OpenGL applications.
Name:		ftgl
Version:	2.2.0
Release:	1
License:	GNU/GPL
URL:		http://homepages.paradise.net.nz/henryj/code/#FTGL
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

Requires:	dejavu-fonts

BuildRequires:	freeglut-devel
BuildRequires:	freetype-devel
BuildRequires:  libXi-devel
BuildRequires:  libICE-devel
BuildRequires:  dejavu-fonts

BuildRequires:  doxygen
BuildRequires:  ImageMagick

#Automatically resolved build dependencies
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
FTGL is a free open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org)  applications.
Unlike other OpenGL font libraries FTGL uses standard font file formats
so doesn't need a preprocessing step to convert the high quality font data
into a lesser quality, proprietary format.
FTGL uses the Freetype (www.freetype.org) font library to open and 'decode'
the fonts. It then takes that output and stores it in a format most efficient
for OpenGL rendering.

Rendering modes supported are
- Bit maps
- Antialiased Pix maps
- Texture maps
- Outlines
- Polygon meshes
- Extruded polygon meshes

FTGL is designed to be used in commercial quality software. It has been
written with performance, robustness and simplicity in mind.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%package	doc
Summary: 	%{name} documents.
Group: 		Documents
Requires:	%{name} = %{version}-%{release}

%description	doc
%{name} documents.

%prep
%setup -q -n %{name}-%{version}

%build
./autogen.sh
./configure \
--prefix=%_prefix \
--sysconfdir=%_sysconfdir \
--enable-shared \
--disable-static \

make all %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libftgl.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/FTGL
#%{_libdir}/libftgl.a
%{_libdir}/libftgl.la
%{_libdir}/libftgl.so
%{_pkgconfig}/ftgl.pc

%files doc
%defattr(-,root,root)
%{_docdir}/ftgl

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten brockmann <arcam@ccux-linux.de> 2.2.0-1
- Version update
- svn 1261
* Tue Jun 24 2008 Christian Wasem <wasem@ccux-linux.de> 2.1.3-2
- added rpm 4.4.2.3-1 as requirement
* Tue Jun 24 2008 Christian Wasem <wasem@ccux-linux.de> 2.1.3-1
- Version update (switching to rc5)
* Sat Nov 26 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.1.2-1
- Initial Release
